En Android Studio 2.3:

App build.gradle:

apply plugin: 'com.android.application'

android {
    compileSdkVersion 27
    buildToolsVersion "27.0.3"
    defaultConfig {
        applicationId "my.test"
        minSdkVersion 11
        targetSdkVersion 27
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    compile 'com.android.support:appcompat-v7:27.0'
    compile 'com.android.support:support-v4:27.0'
    testCompile 'junit:junit:4.12'
}

Root build.gradle:

   buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:2.3.0'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        jcenter()
        mavenLocal()
        mavenCentral()
        maven {
            url 'https://maven.google.com'
        }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}

El resultado es que las bibliotecas de soporte no se resuelven aunque agregué explícitamente el repositorio de Google maven:

Error: (27, 13) No se pudo resolver: com.android.support:support-v4:27.0 ... Error: (26, 13) No se pudo resolver: com.android.support:appcompat-v7:27.0 ...

0
Andi 16 oct. 2018 a las 17:18

2 respuestas

La mejor respuesta

Sospecho que debe agregar el código de la versión completa, por ejemplo:

compile 'com.android.support:appcompat-v7:27.0.0'
compile 'com.android.support:support-v4:27.0.0'

Observe que agregué un último ".0" a la versión

0
Ricardo Sousa 16 oct. 2018 a las 14:24

Dependiendo de su versión de Gradle, necesita usar google () ahora.

allprojects {
    repositories {
        jcenter()
        mavenLocal()
        mavenCentral()
        google()
    }
}

En lugar de

maven {
            url 'https://maven.google.com'
        }
0
Submersed 16 oct. 2018 a las 14:31